httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Trawick <traw...@gmail.com>
Subject Re: error: 'OPT_INCNOEXEC' undeclared
Date Tue, 09 Jun 2009 15:22:41 GMT
On Tue, Jun 9, 2009 at 10:55 AM, Oden Eriksson <oden.eriksson@envitory.se>wrote:

> Hello.
>
> The CVE-2009-1195 fix broke the mod_perl build:
>
> modperl_config.c:525: error: 'OPT_INCNOEXEC' undeclared (first use in this
> function)
>
> I saw http://svn.apache.org/viewvc?view=rev&revision=779472 addresses this
> problem. Will this be the final official fix?


2.2.x:
I hope another tiny patch gets included too (
http://people.apache.org/~trawick/mod_perl_more_compat.txt), but certainly
r779472  will be in the next 2.2.x release to resolve that build failure.

trunk:
OPT_INCNOEXEC no longer exists.  Code which needs to know whether or not SSI
exec is enabled will have to be modified (new and old: some flavor of SSI is
enabled if OPT_INCLUDES is on; new: exec is enabled if OPT_INC_WITH_EXEC is
on; old: exec is enabled unless OPT_INCNOEXEC is on).

Mime
View raw message